Ruby: OnigMatchArg Struct Reference

Ruby 3.2.5p208 (2024-07-26 revision 31d0f1a2e7dbfb60731d1f05b868e1d578cda493)

Data Fields
OnigMatchArg Struct Reference

## Data Fields
void * | stack_p
size_t | stack_n
OnigOptionType | options
OnigRegion * | region
const UChar * | start
const UChar * | gpos
OnigPosition | best_len
UChar * | best_s
int | counter
uint64_t | end_time
long | num_fail
int | enable_cache_match_opt
long | num_cache_opcode
long | num_cache_table
OnigCacheIndex * | cache_index_table
uint8_t * | match_cache

## Detailed Description

Definition at line 891 of file regint.h.

## Field Documentation

## ◆ best_len

OnigPosition OnigMatchArg::best_len

Definition at line 899 of file regint.h.

## ◆ best_s

UChar* OnigMatchArg::best_s

Definition at line 900 of file regint.h.

## ◆ cache_index_table

OnigCacheIndex* OnigMatchArg::cache_index_table

Definition at line 918 of file regint.h.

## ◆ counter

int OnigMatchArg::counter

Definition at line 906 of file regint.h.

## ◆ enable_cache_match_opt

int OnigMatchArg::enable_cache_match_opt

Definition at line 915 of file regint.h.

## ◆ end_time

uint64_t OnigMatchArg::end_time

Definition at line 911 of file regint.h.

## ◆ gpos

const UChar* OnigMatchArg::gpos

Definition at line 897 of file regint.h.

## ◆ match_cache

uint8_t* OnigMatchArg::match_cache

Definition at line 919 of file regint.h.

## ◆ num_cache_opcode

long OnigMatchArg::num_cache_opcode

Definition at line 916 of file regint.h.

## ◆ num_cache_table

long OnigMatchArg::num_cache_table

Definition at line 917 of file regint.h.

## ◆ num_fail

long OnigMatchArg::num_fail

Definition at line 914 of file regint.h.

## ◆ options

OnigOptionType OnigMatchArg::options

Definition at line 894 of file regint.h.

## ◆ region

OnigRegion* OnigMatchArg::region

Definition at line 895 of file regint.h.

## ◆ stack_n

size_t OnigMatchArg::stack_n

Definition at line 893 of file regint.h.

## ◆ stack_p

void* OnigMatchArg::stack_p

Definition at line 892 of file regint.h.

## ◆ start

const UChar* OnigMatchArg::start

Definition at line 896 of file regint.h.

The documentation for this struct was generated from the following file:

- regint.h